# Interface SyThemeValuesType

public interface SyThemeValuesType
Values that can be retrieved by a theme.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType>`
  `color4D(String name)`
  Check that a value exists with the given name and that it has an RGBA color type, and return the current value.
  `double`
  `double_(String name)`
  Check that a value exists with the given name and that it has a double type, and return the current value.
  `default SyPaintEdgeType`
  `edgeFlat(String name)`
  Check that a value exists with the given name and that it has an RGBA color type, and return the current value wrapped as a flat edge paint value.
  `default SyPaintFillType`
  `fillFlat(String name)`
  Check that a value exists with the given name and that it has an RGBA color type, and return the current value wrapped as a flat fill paint value.
  `SyFontDescription`
  `font(String name)`
  Check that a value exists with the given name and that it has a font type, and return the current value.
  `int`
  `integer(String name)`
  Check that a value exists with the given name and that it has an integer type, and return the current value.
  `void`
  `reset()`
  Reset all values to their defaults.
  `void`
  `setColor4D(String name, com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType> value)`
  Check that a value exists with the given name and that it has an RGBA color type, and set the current value to `color`.
  `void`
  `setColorTransform(String name, SyThemeValueFunctionType<com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType>> transform)`
  Check that a value exists with the given name and that it has an RGBA color function type, and set the current function to `transform`.
  `void`
  `setDouble(String name, double value)`
  Check that a value exists with the given name and that it has a double type, and set the current value to `color`.
  `void`
  `setDoubleTransform(String name, SyThemeValueFunctionType<Double> transform)`
  Check that a value exists with the given name and that it has a double function type, and set the current function to `transform`.
  `void`
  `setFont(String name, SyFontDescription value)`
  Check that a value exists with the given name and that it has a font type, and set the current value to `color`.
  `void`
  `setFontTransform(String name, SyThemeValueFunctionType<SyFontDescription> transform)`
  Check that a value exists with the given name and that it has a font function type, and set the current function to `transform`.
  `void`
  `setInteger(String name, int value)`
  Check that a value exists with the given name and that it has an integer type, and set the current value to `color`.
  `void`
  `setIntegerTransform(String name, SyThemeValueFunctionType<Integer> transform)`
  Check that a value exists with the given name and that it has an integer function type, and set the current function to `transform`.
  `Map<String, SyThemeValueType>`
  `values()`

- ## Method Details

  - ### values

    Map<String, SyThemeValueType> values()
    Returns:
      The current values

  - ### reset

    void reset()
    Reset all values to their defaults.

  - ### color4D

    com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType> color4D(String name) throws SyThemeValueException
    Check that a value exists with the given name and that it has an RGBA color type, and return the current value.
    Parameters:
      `name` - The value name
    Returns:
      The current value
    Throws:
      `SyThemeValueException` - On errors

  - ### setColor4D

    void setColor4D(String name, com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType> value) throws SyThemeValueException
    Check that a value exists with the given name and that it has an RGBA color type, and set the current value to `color`.
    Parameters:
      `name` - The value name
      `value` - The new value
    Throws:
      `SyThemeValueException` - On errors

  - ### setColorTransform

    void setColorTransform(String name, SyThemeValueFunctionType<com.io7m.jtensors.core.parameterized.vectors.PVector4D<SySpaceRGBAPreType>> transform) throws SyThemeValueException
    Check that a value exists with the given name and that it has an RGBA color function type, and set the current function to `transform`.
    Parameters:
      `name` - The value name
      `transform` - The new transform
    Throws:
      `SyThemeValueException` - On errors

  - ### integer

    int integer(String name) throws SyThemeValueException
    Check that a value exists with the given name and that it has an integer type, and return the current value.
    Parameters:
      `name` - The value name
    Returns:
      The current value
    Throws:
      `SyThemeValueException` - On errors

  - ### setInteger

    void setInteger(String name, int value) throws SyThemeValueException
    Check that a value exists with the given name and that it has an integer type, and set the current value to `color`.
    Parameters:
      `name` - The value name
      `value` - The new value
    Throws:
      `SyThemeValueException` - On errors

  - ### setIntegerTransform

    void setIntegerTransform(String name, SyThemeValueFunctionType<Integer> transform) throws SyThemeValueException
    Check that a value exists with the given name and that it has an integer function type, and set the current function to `transform`.
    Parameters:
      `name` - The value name
      `transform` - The new transform
    Throws:
      `SyThemeValueException` - On errors

  - ### font

    SyFontDescription font(String name) throws SyThemeValueException
    Check that a value exists with the given name and that it has a font type, and return the current value.
    Parameters:
      `name` - The value name
    Returns:
      The current value
    Throws:
      `SyThemeValueException` - On errors

  - ### setFont

    void setFont(String name, SyFontDescription value) throws SyThemeValueException
    Check that a value exists with the given name and that it has a font type, and set the current value to `color`.
    Parameters:
      `name` - The value name
      `value` - The new value
    Throws:
      `SyThemeValueException` - On errors

  - ### setFontTransform

    void setFontTransform(String name, SyThemeValueFunctionType<SyFontDescription> transform) throws SyThemeValueException
    Check that a value exists with the given name and that it has a font function type, and set the current function to `transform`.
    Parameters:
      `name` - The value name
      `transform` - The new transform
    Throws:
      `SyThemeValueException` - On errors

  - ### double_

    double double_(String name) throws SyThemeValueException
    Check that a value exists with the given name and that it has a double type, and return the current value.
    Parameters:
      `name` - The value name
    Returns:
      The current value
    Throws:
      `SyThemeValueException` - On errors

  - ### setDouble

    void setDouble(String name, double value) throws SyThemeValueException
    Check that a value exists with the given name and that it has a double type, and set the current value to `color`.
    Parameters:
      `name` - The value name
      `value` - The new value
    Throws:
      `SyThemeValueException` - On errors

  - ### setDoubleTransform

    void setDoubleTransform(String name, SyThemeValueFunctionType<Double> transform) throws SyThemeValueException
    Check that a value exists with the given name and that it has a double function type, and set the current function to `transform`.
    Parameters:
      `name` - The value name
      `transform` - The new transform
    Throws:
      `SyThemeValueException` - On errors

  - ### fillFlat

    default SyPaintFillType fillFlat(String name) throws SyThemeValueException
    Check that a value exists with the given name and that it has an RGBA color type, and return the current value wrapped as a flat fill paint value.
    Parameters:
      `name` - The value name
    Returns:
      A flat paint
    Throws:
      `SyThemeValueException` - On errors

  - ### edgeFlat

    default SyPaintEdgeType edgeFlat(String name) throws SyThemeValueException
    Check that a value exists with the given name and that it has an RGBA color type, and return the current value wrapped as a flat edge paint value.
    Parameters:
      `name` - The value name
    Returns:
      A flat paint
    Throws:
      `SyThemeValueException` - On errors